<?php $__env->startPush('headScripts'); ?>
    <link href="<?php echo e(asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet" type="text/css"><?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light"><?php echo e(__('Users & Roles')); ?> /</span> <?php echo e(__('Users')); ?></h4>
        <div class="row">
            <div class="col-md-12">
                <div class="card mb-4">
                    <h5 class="card-header"><?php echo e(__('Users')); ?></h5>
                    <?php if(PerUser('roles.create')): ?>
                        <div class="m-4 mb-0 mt-0">
                            <?php if(PerUser('users.export')): ?>
                                <div class="btn-group float-end ms-1 me-1" role="group">
                                    <button id="exportSelectedUsers" type="button" class="btn btn-primary dropdown-toggle export-selected" data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class="fadeIn animated bx bx-export"></i>
                                        <?php echo __('Export Selected :type',['type'=>__('User')]); ?>

                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="exportSelectedUsers">
                                        <a class="dropdown-item export-type" data-type="csv"><?php echo e(__('CSV')); ?></a>
                                        <a class="dropdown-item export-type" data-type="excel"><?php echo e(__('Excel')); ?></a>
                                        <a class="dropdown-item export-type" data-type="pdf"><?php echo e(__('PDF')); ?></a>
                                    </div>
                                    <form action="<?php echo e(route('users.export')); ?>" method="POST" id="exportData" class="d-inline-block">
                                        <input type="hidden" id="exportIDS" name="IDS">
                                        <input type="hidden" name="export_type" value="excel">
                                        <?php echo csrf_field(); ?>
                                        
                                    </form>
                                </div>
                                <div class="btn-group float-end ms-1 me-1" role="group">
                                    <button id="exportUsers" type="button" class="btn btn-primary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class="fadeIn animated bx bx-export"></i>
                                        <?php echo e(__('Export')); ?>

                                    </button>
                                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg-left" aria-labelledby="exportUsers">
                                        <a class="dropdown-item export-type" data-type="csv"><?php echo e(__('CSV')); ?></a>
                                        <a class="dropdown-item export-type" data-type="excel"><?php echo e(__('Excel')); ?></a>
                                        <a class="dropdown-item export-type" data-type="pdf"><?php echo e(__('PDF')); ?></a>
                                    </div>
                                    <form action="<?php echo e(route('users.export')); ?>" method="POST" class="d-inline-block">
                                        <input type="hidden" name="export_type" value="excel">
                                        <?php echo csrf_field(); ?>
                                        
                                    </form>
                                </div>


                            <?php endif; ?>
                            <?php if(PerUser('users.destroy')): ?>
                                <a href="#" class="btn btn-danger delete-selected float-end ms-1 me-1"><i class="fadeIn animated bx bx-trash-alt"></i> <?php echo __('Delete Selected :type',['type'=>__('User')]); ?></a>
                            <?php endif; ?>
                            <?php if(PerUser('users.create')): ?>
                                <a href="<?php echo e(route('users.create')); ?>" class="btn btn-primary float-end ms-1 me-1"><i class="fadeIn animated bx bx-message-square-add"></i> <?php echo e(__('Create :type',['type'=>__('User')])); ?></a>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>
                    <div class="card-body">
                        <div class="table-responsive">
                            <?php echo e($dataTable->table(['class' => 'table table-bordered table-striped mb-0'])); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footerScripts'); ?>
    <script src="<?php echo e(asset('vendor/sweetalert/sweetalert.all.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/datatable/js/jquery.dataTables.min.js')); ?>"></script>
    <?php echo e($dataTable->scripts(attributes: ['type' => 'module'])); ?>

    <script>
        $(document).on('click','.export-type',function(e){
            e.preventDefault();
            let form=$(this).parent().parent().find('form')
            form.find('[name="export_type"]').val($(this).attr('data-type'));
            form.submit();
        })
        function checkMultiDeleteButton(){
           if($(".user-checkbox").is(':checked')){
               $(".delete-selected").removeClass('disabled');
               $(".export-selected,.export-types").removeClass('disabled');
           }else{
               $(".delete-selected").addClass('disabled')
               $(".export-selected,.export-types").addClass('disabled')

           }
        }
        checkMultiDeleteButton();
        $(document).on('click','.delete-selected',function(){
            let IDS=[];
            $('.user-checkbox:checked').each(function(){
                IDS.push($(this).val());
            })
            Swal.fire({
                title: '<?php echo e(__('Do you really want to delete this?')); ?>',
                showCancelButton: true,
                confirmButtonText: '<?php echo e(__('Yes')); ?>',
                cancelButtonText: '<?php echo e(__('No')); ?>',
            }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        type: "DELETE",
                        url: "<?php echo e(route('users.multi_destroy')); ?>",
                        data:{IDS},
                        success: function (msg) {
                            window.LaravelDataTables["users"].draw();
                            Swal.fire(msg.message, '', msg.success?'success':'error')
                            $(".delete-selected").addClass('disabled').find('.selectedCount').text(0)
                        }
                    });

                }
            })
        })
        function addSelectedCount(){
            $(".selectedCount").text($(".user-checkbox:checked").length)
            let IDS=[];
            $('.user-checkbox:checked').each(function(){
                IDS.push($(this).val());
            })
            $("#exportIDS").val(IDS);
        }
        $(document).on('change','#selectAllCheckbox',function(){
            $('table#users tbody input[type="checkbox"].user-checkbox').prop('checked',$(this).is(':checked'))
            checkMultiDeleteButton();
            addSelectedCount()
        });
        $(document).on('change','.user-checkbox',function (){
            checkMultiDeleteButton();
            addSelectedCount()
        })
        <?php if(PerUser('users.destroy')): ?>
        $(document).on('click','.delete-selected',function(){

        });
        $(document).on('click','.delete-this',function(e){
            e.preventDefault()
            let el=$(this);
            let url=el.attr('data-url')
            let id=el.attr('data-id')
            Swal.fire({
                title: '<?php echo e(__('Do you really want to delete this?')); ?>',
                showCancelButton: true,
                confirmButtonText: '<?php echo e(__('Yes')); ?>',
                cancelButtonText: '<?php echo e(__('No')); ?>',
            }).then((result) => {
                /* Read more about isConfirmed, isDenied below */
                if (result.isConfirmed) {
                    $.ajax({
                        type: "DELETE",
                        url: url,
                        success: function (msg) {
                            window.LaravelDataTables["users"].draw();
                            Swal.fire(msg.message, '', msg.success?'success':'error')
                        }
                    });

                }
            })
        })
        <?php endif; ?>
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('dashboard.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/KPISProject/resources/views/dashboard/users/index.blade.php ENDPATH**/ ?>